Combine Text Entities

Discussion in 'AutoCAD' started by vaughan, Jul 31, 2004.

  1. vaughan

    vaughan Guest

    Looking for a routine that combines two or more text entities into one text entity. NOT Mtext. Thanks
     
    vaughan, Jul 31, 2004
    #1
  2. vaughan

    Paul Turvill Guest

    There have been a number of such routines discussed over time in the
    Customization group. Which one you need will depend on what you intend to do
    with the new text entity, and the disposition of the old ones. Check into
    the Customization group and give a few more details as to what you want to
    do, and you're certain to get some help.
    ___

    text entity. NOT Mtext. Thanks
     
    Paul Turvill, Jul 31, 2004
    #2
  3. vaughan

    OLD-CADaver Guest

    Use Express tools TXT2MTXT, then EXPLODE.
     
    OLD-CADaver, Jul 31, 2004
    #3
  4. vaughan

    Walt Engle Guest

    When you say "two or more text entities", do you mean two or more styles with two or more (or the same)
    font?
     
    Walt Engle, Aug 1, 2004
    #4
  5. vaughan

    teiarch Guest

    You could also create a block with editable attributes using two text styles....it's "sort of" a routine.
     
    teiarch, Aug 1, 2004
    #5
  6. Anatoliy Kurgan, Aug 2, 2004
    #6
  7. vaughan

    Walt Engle Guest

    Well, I have a routine that will change two or more texts but you have failed to answer. How much can
    someone help you if you don't respond?
     
    Walt Engle, Aug 2, 2004
    #7
  8. vaughan

    vaughan Guest

    Thanks Anatoliy, Gst is exactly what I was looking for.

    FYI all, was simply converting dwgs from outside source for my use, and text strings that appeared to be one were actually two side by side. Was trying to avoid the extra steps with the txt2mtxt route.

    Styles were unimportant, as they can be changed globally after combining all the split strings. Gst, though, does apply the style of the first picked to the new.
     
    vaughan, Aug 2, 2004
    #8
  9. little file that works ok.

    adds one to another

    ;; JT.LSP
    ;; JOIN TEXT ENTITIES INTO ONE STRING. ERASES LAST ENTITY.
    ;;
    (defun c:jt (/ ss STR1 STR1LIST STR1VALUE STR2 STR2LIST STR2VALUE NEWSTR)
    (princ "\nSelect text string to expand: ")
    (setq ss (ssget))
    (if ss (progn
    (setq str1 (ssname ss 0))
    (setq STR1list (entget str1))
    (setq str1value (cdr (assoc 1 str1list)))
    (setq str2 (car (entsel "\nSelect string to add: ")))
    (if str2 (progn
    (setq str2list (entget str2))
    (setq STR2value (cdr (assoc 1 str2list)))
    (setq newstr (strcat str1value " " str2value))
    (command "change" ss "" "" "" "" "" "" newstr)
    (PRINC)
    (COMMAND "ERASE" STR2 "")
    ))
    ))
    ); end jt.lsp
     
    Kevin Lockwood, Aug 2, 2004
    #9
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.